gi-gtk3-3.0.44: Gtk 3.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Structs.MountOperationHandlerSkeleton_

Contents

- Exported types
- Methods

Description

The `MountOperationHandlerSkeleton_` structure contains only private data and should only be accessed using the provided API.

Synopsis

- newtype MountOperationHandlerSkeleton_ = MountOperationHandlerSkeleton_ (ManagedPtr MountOperationHandlerSkeleton_)
- newZeroMountOperationHandlerSkeleton_ :: MonadIO m => m MountOperationHandlerSkeleton_

# Exported types

newtype MountOperationHandlerSkeleton_ Source #

Memory-managed wrapper type.

Constructors

MountOperationHandlerSkeleton_ (ManagedPtr MountOperationHandlerSkeleton_) |

#### Instances

Instances details

Eq MountOperationHandlerSkeleton_ Source # |
Instance details Defined in GI.Gtk.Structs.MountOperationHandlerSkeleton_ Methods (==) :: MountOperationHandlerSkeleton_ -> MountOperationHandlerSkeleton_ -> Bool Source # (/=) :: MountOperationHandlerSkeleton_ -> MountOperationHandlerSkeleton_ -> Bool Source #
BoxedPtr MountOperationHandlerSkeleton_ Source # |
Instance details Defined in GI.Gtk.Structs.MountOperationHandlerSkeleton_ Methods boxedPtrCopy :: MountOperationHandlerSkeleton_ -> IO MountOperationHandlerSkeleton_ Source # boxedPtrFree :: MountOperationHandlerSkeleton_ -> IO () Source #
CallocPtr MountOperationHandlerSkeleton_ Source # |
Instance details Defined in GI.Gtk.Structs.MountOperationHandlerSkeleton_ Methods boxedPtrCalloc :: IO (Ptr MountOperationHandlerSkeleton_) Source #
ManagedPtrNewtype MountOperationHandlerSkeleton_ Source # |
Instance details Defined in GI.Gtk.Structs.MountOperationHandlerSkeleton_ Methods toManagedPtr :: MountOperationHandlerSkeleton_ -> ManagedPtr MountOperationHandlerSkeleton_ Source #
tag ~ 'AttrSet => Constructible MountOperationHandlerSkeleton_ tag Source # |
Instance details Defined in GI.Gtk.Structs.MountOperationHandlerSkeleton_ Methods new :: MonadIO m => (ManagedPtr MountOperationHandlerSkeleton_ -> MountOperationHandlerSkeleton_) -> [AttrOp MountOperationHandlerSkeleton_ tag] -> m MountOperationHandlerSkeleton_ Source #

newZeroMountOperationHandlerSkeleton_ :: MonadIO m => m MountOperationHandlerSkeleton_ Source #

Construct a `MountOperationHandlerSkeleton_` struct initialized to zero.

# Methods